<?xml version="1.0" encoding="UTF-8"?>

<!-- 

This transformation takes an xhtml calendar page and builds an ATOM feed from it.
Information about how to format the calendar page is provided in readme-atom-feed.txt. 

-->

<xsl:transform version="1.0"
 xmlns="http://www.w3.org/2005/Atom"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:xh="http://www.w3.org/1999/xhtml"
 xmlns:dt="http://exslt.org/dates-and-times"
 exclude-result-prefixes="xh"
 extension-element-prefixes="dt"
>

<xsl:output method="xml" indent="yes" />

<xsl:template match="/">
<feed>

<id>tag:cse100@cs.washington.edu,2005:HomeworkFeed</id>
<title><xsl:value-of select="/xh:html/xh:head/xh:title"/></title>
<updated><xsl:value-of select="dt:date-time()"/></updated>
<author><name>Doug Johnson</name></author>
<link>
<xsl:attribute name="rel">self</xsl:attribute>
<xsl:attribute name="href"><xsl:value-of select="id('atomHomeworkLink')/@href"/></xsl:attribute>
</link>
<link>
<xsl:attribute name="rel">alternate</xsl:attribute>
<xsl:attribute name="href"><xsl:value-of select="/xh:html/xh:head/xh:link[@rel='start']/@href"/></xsl:attribute>
</link>
<icon><xsl:value-of select="/xh:html/xh:head/xh:link[@rel='icon']/@href"/></icon>
<xsl:apply-templates select="//xh:td[@class='publish']"/>
</feed>
</xsl:template>

<xsl:template match="xh:td">
<entry>
<id>tag:cse100@cs.washington.edu,<xsl:value-of select="substring-after(@id,':')"/>:<xsl:value-of select="substring-before(@id,':')"/></id>
<title><xsl:value-of select="."/></title>
<updated><xsl:value-of select="dt:date-time()"/></updated>
<link>
<xsl:attribute name="rel">alternate</xsl:attribute>
<xsl:attribute name="href"><xsl:value-of select="xh:a/@href"/></xsl:attribute>
</link>
<summary><xsl:value-of select="following-sibling::*[position()=1]"/></summary>
</entry>
</xsl:template>

</xsl:transform>
